{
    "SPDXID": "SPDXRef-DOCUMENT",
    "creationInfo": {
        "created": "2024-08-28T05:59:30Z",
        "creators": [
            "Organization: TheQtCompany",
            "Tool: Qt Build System"
        ],
        "comment": "This SPDX document was created from CMake 3.27.7, using the qt\nbuild system from https://code.qt.io/cgit/qt/qtbase.git/tree/cmake/QtPublicSbomHelpers.cmake"
    },
    "dataLicense": "CC0-1.0",
    "externalDocumentRefs": [
        {
            "externalDocumentId": "DocumentRef-qtdeclarative",
            "spdxDocument": "https://qt.io/spdxdocs/qtdeclarative-6.8.0",
            "checksum": {
                "algorithm": "SHA1",
                "checksumValue": "69625af34caa6f8866754aa0220a229e2ce0a186"
            }
        },
        {
            "externalDocumentId": "DocumentRef-qtbase",
            "spdxDocument": "https://qt.io/spdxdocs/qtbase-6.8.0",
            "checksum": {
                "algorithm": "SHA1",
                "checksumValue": "5eb1b54b790eecc672214ecb1ac0d9edb4380843"
            }
        }
    ],
    "hasExtractedLicensingInfos": [
        {
            "extractedText": "Licensees holding valid commercial Qt licenses may use this software in\naccordance with the the terms contained in a written agreement between\nyou and The Qt Company. Alternatively, the terms and conditions that were\naccepted by the licensee when buying and/or downloading the\nsoftware do apply.\n\nFor the latest licensing terms and conditions, see https://www.qt.io/terms-conditions.\nFor further information use the contact form at https://www.qt.io/contact-us.\n",
            "licenseId": "LicenseRef-Qt-Commercial"
        }
    ],
    "name": "qtquicktimeline-6.8.0",
    "spdxVersion": "SPDX-2.3",
    "documentNamespace": "https://qt.io/spdxdocs/qtquicktimeline-6.8.0",
    "packages": [
        {
            "SPDXID": "SPDXRef-compiler",
            "copyrightText": "NOASSERTION",
            "downloadLocation": "NOASSERTION",
            "filesAnalyzed": false,
            "licenseConcluded": "NOASSERTION",
            "licenseDeclared": "NOASSERTION",
            "name": "Clang",
            "primaryPackagePurpose": "APPLICATION",
            "summary": "The compiler as identified by CMake, running on Windows (AMD64)",
            "supplier": "Organization: Anonymous",
            "versionInfo": "19.0.0"
        },
        {
            "SPDXID": "SPDXRef-Package-qtquicktimeline",
            "builtDate": "2024-08-28T05:59:30Z",
            "comment": "Built by CMake 3.27.7 with Release configuration for Emscripten (x86)",
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "downloadLocation": "git://code.qt.io/qt/qtquicktimeline.git",
            "externalRefs": [
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qt:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtquicktimeline@6.8.0",
                    "referenceType": "purl"
                }
            ],
            "filesAnalyzed": true,
            "homepage": "https://qt.io",
            "licenseConcluded": "NOASSERTION",
            "licenseDeclared": "NOASSERTION",
            "name": "qtquicktimeline",
            "packageVerificationCode": {
                "packageVerificationCodeValue": "13c38dbac99031912bea35aea9ef7e0d025cf334"
            },
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "6.8.0"
        },
        {
            "SPDXID": "SPDXRef-Package-qtquicktimeline-qt-module-QuickTimelineBlendTrees",
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "downloadLocation": "git://code.qt.io/qt/qtquicktimeline.git",
            "externalRefs": [
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:github/qt/qtquicktimeline?library_name=QuickTimelineBlendTrees#src/timeline/blendtrees",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtquicktimeline-QuickTimelineBlendTrees?vcs_url=https://code.qt.io/qt/qtquicktimeline.git&library_name=QuickTimelineBlendTrees#src/timeline/blendtrees",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qtquicktimeline:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qt:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                }
            ],
            "filesAnalyzed": true,
            "licenseConcluded": "LicenseRef-Qt-Commercial OR GPL-3.0-only",
            "licenseDeclared": "LicenseRef-Qt-Commercial OR GPL-3.0-only",
            "name": "QuickTimelineBlendTrees",
            "primaryPackagePurpose": "LIBRARY",
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "6.8.0"
        },
        {
            "SPDXID": "SPDXRef-Package-qtquicktimeline-qt-plugin-qtquicktimelineblendtreesplugin",
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "downloadLocation": "git://code.qt.io/qt/qtquicktimeline.git",
            "externalRefs": [
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:github/qt/qtquicktimeline?library_name=qtquicktimelineblendtreesplugin#src/timeline/blendtrees",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtquicktimeline-qtquicktimelineblendtreesplugin?vcs_url=https://code.qt.io/qt/qtquicktimeline.git&library_name=qtquicktimelineblendtreesplugin#src/timeline/blendtrees",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qtquicktimeline:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qt:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                }
            ],
            "filesAnalyzed": true,
            "licenseConcluded": "LicenseRef-Qt-Commercial OR GPL-3.0-only",
            "licenseDeclared": "LicenseRef-Qt-Commercial OR GPL-3.0-only",
            "name": "qtquicktimelineblendtreesplugin",
            "primaryPackagePurpose": "LIBRARY",
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "6.8.0"
        },
        {
            "SPDXID": "SPDXRef-Package-qtquicktimeline-qt-module-QuickTimeline",
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "downloadLocation": "git://code.qt.io/qt/qtquicktimeline.git",
            "externalRefs": [
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:github/qt/qtquicktimeline?library_name=QuickTimeline#src/timeline",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtquicktimeline-QuickTimeline?vcs_url=https://code.qt.io/qt/qtquicktimeline.git&library_name=QuickTimeline#src/timeline",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qtquicktimeline:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qt:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                }
            ],
            "filesAnalyzed": true,
            "licenseConcluded": "LicenseRef-Qt-Commercial OR GPL-3.0-only",
            "licenseDeclared": "LicenseRef-Qt-Commercial OR GPL-3.0-only",
            "name": "QuickTimeline",
            "primaryPackagePurpose": "LIBRARY",
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "6.8.0"
        },
        {
            "SPDXID": "SPDXRef-Package-qtquicktimeline-qt-plugin-qtquicktimelineplugin",
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "downloadLocation": "git://code.qt.io/qt/qtquicktimeline.git",
            "externalRefs": [
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:github/qt/qtquicktimeline?library_name=qtquicktimelineplugin#src/timeline",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtquicktimeline-qtquicktimelineplugin?vcs_url=https://code.qt.io/qt/qtquicktimeline.git&library_name=qtquicktimelineplugin#src/timeline",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qtquicktimeline:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qt:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                }
            ],
            "filesAnalyzed": true,
            "licenseConcluded": "LicenseRef-Qt-Commercial OR GPL-3.0-only",
            "licenseDeclared": "LicenseRef-Qt-Commercial OR GPL-3.0-only",
            "name": "qtquicktimelineplugin",
            "primaryPackagePurpose": "LIBRARY",
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "6.8.0"
        }
    ],
    "files": [
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-module-QuickTimelineBlendTrees",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "e05c6c79bd693852b5a24d30c09749d2847080e7"
                }
            ],
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "fileName": "./lib/libQt6QuickTimelineBlendTrees.a",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        },
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-plugin-qtquicktimelineblendtreesplugin",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "ce97a0fa803a3937d4fec6f7dc4f7f1a180bed3d"
                }
            ],
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "fileName": "./qml/QtQuick/Timeline/BlendTrees/libqtquicktimelineblendtreesplugin.a",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        },
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-module-QuickTimeline",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "ce362e4c547892d9b03999274835bfc5913b7b62"
                }
            ],
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "fileName": "./lib/libQt6QuickTimeline.a",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        },
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-plugin-qtquicktimelineplugin",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "8f1b8aa3591fae5a738851516eb87f442e288ead"
                }
            ],
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "fileName": "./qml/QtQuick/Timeline/libqtquicktimelineplugin.a",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        }
    ],
    "relationships": [
        {
            "spdxElementId": "SPDXRef-compiler",
            "comment": "SPDXRef-Package-qtquicktimeline is built by compiler Clang (C:/Utils/emsdk/upstream/emscripten/em++.bat) version 19.0.0",
            "relatedSpdxElement": "SPDXRef-Package-qtquicktimeline",
            "relationshipType": "BUILD_DEPENDENCY_OF"
        },
        {
            "spdxElementId": "SPDXRef-DOCUMENT",
            "relatedSpdxElement": "SPDXRef-Package-qtquicktimeline",
            "relationshipType": "DESCRIBES"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtquicktimeline-qt-module-QuickTimelineBlendTrees",
            "relatedSpdxElement": "DocumentRef-qtdeclarative:SPDXRef-Package-qtdeclarative-qt-module-Quick",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtquicktimeline-qt-module-QuickTimelineBlendTrees",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-PlatformModuleInternal",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtquicktimeline-qt-module-QuickTimelineBlendTrees",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-Core",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtquicktimeline-qt-module-QuickTimelineBlendTrees",
            "relatedSpdxElement": "DocumentRef-qtdeclarative:SPDXRef-Package-qtdeclarative-qt-module-Qml",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtquicktimeline-qt-module-QuickTimelineBlendTrees",
            "relatedSpdxElement": "SPDXRef-Package-qtquicktimeline-qt-module-QuickTimeline",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtquicktimeline",
            "relatedSpdxElement": "SPDXRef-Package-qtquicktimeline-qt-module-QuickTimelineBlendTrees",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtquicktimeline-qt-module-QuickTimelineBlendTrees",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-QuickTimelineBlendTrees",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtquicktimeline-qt-module-QuickTimelineBlendTrees",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-QuickTimelineBlendTrees",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-QuickTimelineBlendTrees",
            "comment": "C:/Users/qt/work/qt/qtquicktimeline/src/timeline/blendtrees/C:/Users/qt/work/qt/qtquicktimeline/build/target/include/QtQuickTimelineBlendTrees/qtquicktimelineblendtreesexports.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-QuickTimelineBlendTrees",
            "comment": "C:/Users/qt/work/qt/qtquicktimeline/src/timeline/blendtrees/qblendtreenode.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-QuickTimelineBlendTrees",
            "comment": "C:/Users/qt/work/qt/qtquicktimeline/src/timeline/blendtrees/qblendtreenode_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-QuickTimelineBlendTrees",
            "comment": "C:/Users/qt/work/qt/qtquicktimeline/src/timeline/blendtrees/qtimelineanimationnode.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-QuickTimelineBlendTrees",
            "comment": "C:/Users/qt/work/qt/qtquicktimeline/src/timeline/blendtrees/qtimelineanimationnode_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-QuickTimelineBlendTrees",
            "comment": "C:/Users/qt/work/qt/qtquicktimeline/src/timeline/blendtrees/qblendanimationnode.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-QuickTimelineBlendTrees",
            "comment": "C:/Users/qt/work/qt/qtquicktimeline/src/timeline/blendtrees/qblendanimationnode_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-QuickTimelineBlendTrees",
            "comment": "C:/Users/qt/work/qt/qtquicktimeline/src/timeline/blendtrees/qtquicktimelineblendtreesglobal.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-QuickTimelineBlendTrees",
            "comment": "C:/Users/qt/work/qt/qtquicktimeline/src/timeline/blendtrees/qtquicktimelineblendtreesglobal_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-QuickTimelineBlendTrees",
            "comment": "C:/Users/qt/work/qt/qtquicktimeline/src/timeline/blendtrees/C:/Users/qt/work/qt/qtquicktimeline/build/target/src/timeline/blendtrees/meta_types/qt6quicktimelineblendtrees_release_metatypes.json.gen",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-QuickTimelineBlendTrees",
            "comment": "C:/Users/qt/work/qt/qtquicktimeline/src/timeline/blendtrees/C:/Users/qt/work/qt/qtquicktimeline/build/target/src/timeline/blendtrees/quicktimelineblendtrees_qmltyperegistrations.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-QuickTimelineBlendTrees",
            "comment": "C:/Users/qt/work/qt/qtquicktimeline/src/timeline/blendtrees/C:/Users/qt/work/qt/qtquicktimeline/build/target/src/timeline/blendtrees/.qt/rcc/qrc_qmake_QtQuick_Timeline_BlendTrees.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtquicktimeline-qt-plugin-qtquicktimelineblendtreesplugin",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-PlatformPluginInternal",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtquicktimeline",
            "relatedSpdxElement": "SPDXRef-Package-qtquicktimeline-qt-plugin-qtquicktimelineblendtreesplugin",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtquicktimeline-qt-plugin-qtquicktimelineblendtreesplugin",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-plugin-qtquicktimelineblendtreesplugin",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtquicktimeline-qt-plugin-qtquicktimelineblendtreesplugin",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-plugin-qtquicktimelineblendtreesplugin",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-qtquicktimelineblendtreesplugin",
            "comment": "C:/Users/qt/work/qt/qtquicktimeline/src/timeline/blendtrees/C:/Users/qt/work/qt/qtquicktimeline/build/target/src/timeline/blendtrees/qtquicktimelineblendtreesplugin_QtQuickTimelineBlendTreesPlugin.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtquicktimeline-qt-module-QuickTimeline",
            "relatedSpdxElement": "DocumentRef-qtdeclarative:SPDXRef-Package-qtdeclarative-qt-module-Quick",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtquicktimeline-qt-module-QuickTimeline",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-PlatformModuleInternal",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtquicktimeline-qt-module-QuickTimeline",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-Core",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtquicktimeline-qt-module-QuickTimeline",
            "relatedSpdxElement": "DocumentRef-qtdeclarative:SPDXRef-Package-qtdeclarative-qt-module-Qml",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtquicktimeline",
            "relatedSpdxElement": "SPDXRef-Package-qtquicktimeline-qt-module-QuickTimeline",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtquicktimeline-qt-module-QuickTimeline",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-QuickTimeline",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtquicktimeline-qt-module-QuickTimeline",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-QuickTimeline",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-QuickTimeline",
            "comment": "C:/Users/qt/work/qt/qtquicktimeline/src/timeline/C:/Users/qt/work/qt/qtquicktimeline/build/target/include/QtQuickTimeline/qtquicktimelineexports.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-QuickTimeline",
            "comment": "C:/Users/qt/work/qt/qtquicktimeline/src/timeline/qquickkeyframedatautils_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-QuickTimeline",
            "comment": "C:/Users/qt/work/qt/qtquicktimeline/src/timeline/qquickkeyframe.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-QuickTimeline",
            "comment": "C:/Users/qt/work/qt/qtquicktimeline/src/timeline/qquickkeyframe_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-QuickTimeline",
            "comment": "C:/Users/qt/work/qt/qtquicktimeline/src/timeline/qquicktimeline.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-QuickTimeline",
            "comment": "C:/Users/qt/work/qt/qtquicktimeline/src/timeline/qquicktimeline_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-QuickTimeline",
            "comment": "C:/Users/qt/work/qt/qtquicktimeline/src/timeline/qquicktimelineanimation.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-QuickTimeline",
            "comment": "C:/Users/qt/work/qt/qtquicktimeline/src/timeline/qquicktimelineanimation_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-QuickTimeline",
            "comment": "C:/Users/qt/work/qt/qtquicktimeline/src/timeline/qtquicktimelineglobal.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-QuickTimeline",
            "comment": "C:/Users/qt/work/qt/qtquicktimeline/src/timeline/qtquicktimelineglobal_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-QuickTimeline",
            "comment": "C:/Users/qt/work/qt/qtquicktimeline/src/timeline/C:/Users/qt/work/qt/qtquicktimeline/build/target/src/timeline/meta_types/qt6quicktimeline_release_metatypes.json.gen",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-QuickTimeline",
            "comment": "C:/Users/qt/work/qt/qtquicktimeline/src/timeline/C:/Users/qt/work/qt/qtquicktimeline/build/target/src/timeline/quicktimeline_qmltyperegistrations.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-QuickTimeline",
            "comment": "C:/Users/qt/work/qt/qtquicktimeline/src/timeline/C:/Users/qt/work/qt/qtquicktimeline/build/target/src/timeline/.qt/rcc/qrc_qmake_QtQuick_Timeline.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtquicktimeline-qt-plugin-qtquicktimelineplugin",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-PlatformPluginInternal",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtquicktimeline",
            "relatedSpdxElement": "SPDXRef-Package-qtquicktimeline-qt-plugin-qtquicktimelineplugin",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtquicktimeline-qt-plugin-qtquicktimelineplugin",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-plugin-qtquicktimelineplugin",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtquicktimeline-qt-plugin-qtquicktimelineplugin",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-plugin-qtquicktimelineplugin",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-qtquicktimelineplugin",
            "comment": "C:/Users/qt/work/qt/qtquicktimeline/src/timeline/C:/Users/qt/work/qt/qtquicktimeline/build/target/src/timeline/qtquicktimelineplugin_QtQuickTimelinePlugin.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        }
    ]
}